import sys
sys.path.insert(0,) # Insert reference to location of IMB basic processing code
                    # which is available at 
                    # https://github.com/sammiebuzzard/IMBS_MO

import buoys
import datetime as dt
import matplotlib.pyplot as plt
import pylab

outfile = # Set location of output file

buoy_names = ['1993A','2006E','2012L','2014F']
start_dates = [dt.datetime(1994,2,15,0,0),dt.datetime(2006,12,4,0,0),\
     dt.datetime(2012,11,15),dt.datetime(2015,4,26,0,0)]
end_dates = [dt.datetime(1994,5,1,0,0),dt.datetime(2007,2,20,0,0),\
     dt.datetime(2012,12,15),dt.datetime(2015,6,25,0,0)]
variable_names = ['surface','bottom','surface','bottom']
plot_names = ['surface','base','surface','base']
ylims = [[.2,.4],[-1.8,-1.2],[0.,.2],[-1.9,-1.6]]

figure = plt.figure(figsize=(8,12))

xl = [.1,.6]
yb = [.78,.53,.28,.03]
xw = .37
yw = .18

axis_list = []
for axi in range(8):
    xi = axi % 2
    yi = axi // 2
    axis_list.append(figure.add_axes([xl[xi],yb[yi],xw,yw]))

for ii in range(4):
    buoy = buoys.buoy(buoy_names[ii])
    buoy.update_series()
    buoy.extract_data(variable_names[ii])
    buoy.show([variable_names[ii]],      axis=axis_list[ii*2],show=False,\
        start_date = start_dates[ii], end_date = end_dates[ii], \
        ylim = ylims[ii], legend = False)
    axis_list[ii*2].set_title(buoy.name+' '+plot_names[ii]+' elevation')
    axis_list[ii*2].set_ylabel('Elevation (m)')

    buoy.show([variable_names[ii]+'_rt'],axis=axis_list[ii*2+1],show=False,\
        start_date = start_dates[ii], end_date = end_dates[ii], \
        ylim = ylims[ii], legend = False)
    axis_list[ii*2+1].set_title(buoy.name+' '+plot_names[ii]+\
        ' elevation (m)\nRegularised')
    axis_list[ii*2+1].set_ylabel('Elevation (m)')

pylab.savefig(outfile)
