import sys
sys.path.insert(0,) # Insert reference to location of IMB basic processing code
                    # which is available at 
                    # https://github.com/sammiebuzzard/IMBS_MO

import buoys
import datetime as dt
import matplotlib.pyplot as plt
import pylab

outfile = # Set location of output file

buoy_names = ['1997E','2002A']
ylims = [[-1.,.3],[-.4,.5]]
legend_positions = [[.3,.2,.4,.2],[.5,.78,.4,.2]]

figure = plt.figure(figsize=(9,9))
xl = .15
yb = [.6,.1]
xw = .75
yw = .35

for ii in range(2):
    buoy = buoys.buoy(buoy_names[ii])
    buoy.update_series()

    ax = buoy.show(['surface_r'],marker='o',show=False,legend=False,
                   ylim=ylims[ii],
                   axis = figure.add_axes([xl,yb[ii],xw,yw]),colors=['#0080ff'])
    buoy.show(['interface_r'],marker='+',show=False,legend=False,
                   ylim=ylims[ii], axis = ax,
                   colors=['#ff0000'],legend_pos = legend_positions[ii])

    handles, labels = ax.get_legend_handles_labels()
    labels[labels.index('surface_r')] = 'Upper surface of snow-ice column'
    labels[labels.index('interface_r')] = 'Snow-ice interface'

    if ii == 0:
        ax.legend(handles,labels)

    ax.set_ylabel('Elevation (m)')
    ax.set_title(buoy.name)


pylab.savefig()
