import sys
sys.path.insert(0,) # Insert reference to location of IMB basic processing code
                    # which is available at 
                    # https://github.com/sammiebuzzard/IMBS_MO
import buoys
import numpy as np
import matplotlib.pyplot as plt
import pylab
import datetime as dt

outfile = # Set location of output file

b2015D = buoys.buoy('2015A')

b2015D.update_series()
b2015D.process_temp()

levels = np.arange(-20,1,2)

figure = plt.figure(figsize=(9,7))
axis = figure.add_axes([.1,.2,.85,.75])

b2015D.temp.contour_obj(show=False,levels=levels,figure=figure,axis=axis)
b2015D.show(['surface_rt','interface_rt','bottom_rt'],axis=axis,\
            colors = ['#000080','#802000','k'],markers='   ',show=False,
            linestyles=[(1,0)]*3,linewidths = [4]*3,legend=False)

handles, labels = axis.get_legend_handles_labels()
labels[labels.index('surface_rt')] = 'Snow-ice column upper surface'
labels[labels.index('interface_rt')] = 'Snow-ice interface'
labels[labels.index('bottom_rt')] = 'Ice base'

fb_onset = dt.datetime(2015,4,8,0,0)
fb_melt = dt.datetime(2015,5,22,0,0)

xlim = axis.get_xlim()
ylim = axis.get_ylim()
axis.text(fb_onset+dt.timedelta(1),ylim[0] + .065 * (ylim[1]-ylim[0]),\
    'Likely\nfalse\nbottom\nformation',ha='left')
axis.plot([fb_onset]*2,ylim,linestyle='--',color='k')
axis.plot([fb_melt]*2,ylim,linestyle='--',color='k')
axis.text(fb_melt-dt.timedelta(1),ylim[0] + .065 * (ylim[1]-ylim[0]),\
    'Likely\nfalse\nbottom\nmelting',ha='right')

axis.legend(handles,labels,bbox_to_anchor = [.3,-.57,.5,.5])

pylab.savefig(outfile)
